Как запустить 32- приложение в 64 ОС
6392
14
В Ubuntu лечилось: sudo apt-get install ia32-libs
В LinuxMint пишет:
Показать спойлер
sudo apt-get install ia32-libs
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Уже установлена самая новая версия ia32-libs.
Следующие пакеты устанавливались автоматически и больше не требуются:
libasprintf0c2:i386 libgomp1:i386 python-apport python-problem-report
python-ubuntu-sso-client ubuntu-sso-client
Для их удаления используйте «apt-get autoremove».
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 30 пакетов не обновлено.
Показать спойлер


При запуске приложения:

Показать спойлер
lampp start
XAMPP is currently only availably as 32 bit application. Please use a 32 bit compatibility library for your system.
Показать спойлер


Хотя этот же самый пакет работал нормально на этом же компе под Ubuntu 64. :dnknow:
Apophis
Кроме ia32-libs, нужно доставить недостающие приложению 32-х битные либы с помощью getlibs -p [имя либы]. getlibs идет в составе альтернативного пакета getlibs-all.deb и ищится на развалах в инете.
Mozepiy
нужно доставить недостающие приложению 32-х битные либы
Да это понятно, поставил все что можно, загадил всю систему уже, все равно не работает, пока забил.
Apophis
Судя по первому посту, все, что можно, а не нужно .) Запускать нужно из консоли и смотреть на какие либы оно ругается, их и доставлять. Ну и фраза "загадил" к линух системам мало применима, все, что наставленно, вполне корректно сносится нараз.
Mozepiy
ННП
И после этого ещё ругают виндовс....:улыб:
Сибиряк
ННП
И после этого ещё ругают виндовс....:улыб:
Запустите в 8-ке 64-х какое нибудь приложение 32-х 5 летней давности :ха-ха!:
Apophis
8-ки у меня нет, а в 64-х битной 7-ке тот же дремучий квейк2 работает на ура.
Я к чему это. Несколько лет назад я тут писал на тему "убунта глазами пользователя виндовс". Совершенно честно поставил убунту и пытался сидеть в ней. Но уже тогда меня удивила необходимость "собирать" самый обычный скайп для 64-х битной системы. Справедливости ради, скажу что в репах он был. Не знаю, почему я не нашёл готовый, но факт есть факт. Популярное 32-х битное приложение пришлось с бубном заставлять работать в 64-х битной системе.

P.s. ничего против линукса не имею
Сибиряк
Но уже тогда меня удивила необходимость "собирать" самый обычный скайп для 64-х битной системы.
Имхается, лукавите вы или путаете, скайп собран статикой, ненужно его допиливать, версия с сцайта встает и работает из каропке, и да, в репах его нету и быть неможет. Вы случаем с плугином к пиджину непутаете ?
Mozepiy
Может и не в репах, может на офф сайте брал, деталей уже не помню. Но смысл помню, была инструкция, как его поставить, из Х пунктов. Качались, ставились и регились какие-то библиотеки, только после этого он начинал работать.
Обманывать мне смысла нет, я тут лицо незаинтересованное :улыб:
Сибиряк
Я хз как оно в убунту было, ибо поледние лет этак 10 сижу на дебиане, но таких танцев точно непомню .) Ну и тогда, если я правильно помню, убунта была еще унстэйбл веткой деба, вот скорей всего поэтому и нужно было особое шаманство.
Mozepiy
Коллега Сибиряк немного преувеличивает срок давности:миг:Пару лет назад максимум это было, я те зарубы еще помню. И бубунта уже была вполне самостоятельной осью.
ASGS
Коллега Сибиряк немного преувеличивает срок давности:миг:
Коллега Сибиряк не помнит, когда точно это было, поэтому преувеличивать не может :biggrin:
Сибиряк
:agree:
Это я к тому, что человек фразу про "несколько лет" воспринял как совсем древние времена, когда бубунта еще была дебиановским форком. Ну и пояснил, как мог :хехе:
ASGS
:улыб:
У меня тоже появились сомнения, но т.к. я тут не совсем в теме, не стал уточнять
ASGS
Это я к тому, что человек фразу про "несколько лет" воспринял как совсем древние времена
Да я сам древний, поэтому иногда плюс/минус пять лет, кажется как одно мгновение .)